> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Usage

> Get current limit and usage (business initiated conversations) for WhatsApp agent.



## OpenAPI

````yaml api-reference/openapi.json get /whatsapp/agent-usage
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /whatsapp/agent-usage:
    get:
      tags:
        - whatsapp
      summary: >-
        Get current limit and usage (business initiated conversations) for
        WhatsApp agent.
      parameters:
        - in: query
          name: agent_id
          description: >-
            Optional ID of target agent. If none given, the first WhatsApp agent
            will be used.
          schema:
            type: integer
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WhatsappAgentUsage'
components:
  schemas:
    WhatsappAgentUsage:
      description: >-
        Template submitted to WhatsApp for approval. Necessary to create
        business initiated conversations.
      type: object
      properties:
        business_initiated:
          type: object
          properties:
            current_usage:
              description: >-
                Number of business initiated conversations in the last 24 hour
                rolling window.
              type: integer
            current_limit:
              description: >-
                Max number of conversations this agent can initiate in the given
                time window (see above).
              type: integer
            limit_exhausted:
              type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````